Index: src/Fragmentation/MatrixContainer.cpp
===================================================================
--- src/Fragmentation/MatrixContainer.cpp	(revision 52ed5bd5d6abfc345449328e6008a4089fc6e46d)
+++ src/Fragmentation/MatrixContainer.cpp	(revision 44f53e999bbb8a07d6654248774d7a3bb802ecaa)
@@ -57,5 +57,5 @@
 {
   if (_container == NULL) {
-    LOG(0, "Initialising indices with trivial mapping.");
+    LOG(3, "INFO: Initialising indices with trivial mapping.");
     Indices.resize(MatrixCounter + 1);
     for(int i=MatrixCounter+1;i--;) {
@@ -78,5 +78,5 @@
       }
     }
-    LOG(0, "Initialising indices from other MatrixContainer: " << output.str());
+    LOG(3, "INFO: Initialising indices from other MatrixContainer: " << output.str());
   }
   return true;
@@ -118,5 +118,5 @@
   for(int k=skipcolumns;k--;)
     line >> Header[MatrixNr];
-  LOG(0, line.str());
+  LOG(3, "INFO: Header of Matrix " << MatrixNr << " :" << line.str());
 
   // scan header for number of columns
@@ -128,6 +128,6 @@
       ColumnCounter[MatrixNr]++;
   }
-  LOG(0, line.str());
-  LOG(1, "ColumnCounter[" << MatrixNr << "]: " << ColumnCounter[MatrixNr] << ".");
+  LOG(3, "INFO: "+line.str());
+  LOG(4, "INFO: ColumnCounter[" << MatrixNr << "]: " << ColumnCounter[MatrixNr] << ".");
   if (ColumnCounter[MatrixNr] == 0) {
     ELOG(0, "ColumnCounter[" << MatrixNr << "]: " << ColumnCounter[MatrixNr] << " from ostream.");
@@ -141,5 +141,5 @@
   while (!input.eof()) {
     input.getline(filename, 1023);
-    LOG(0, "Comparing: " << strncmp(filename,"MeanForce",9));
+    LOG(3, "INFO: Comparing: " << strncmp(filename,"MeanForce",9));
     RowCounter[MatrixNr]++; // then line was not last MeanForce
     if (strncmp(filename,"MeanForce", 9) == 0) {
@@ -147,7 +147,7 @@
     }
   }
-  LOG(1, "RowCounter[" << MatrixNr << "]: " << RowCounter[MatrixNr] << " from input stream.");
+  LOG(4, "INFO: RowCounter[" << MatrixNr << "]: " << RowCounter[MatrixNr] << " from input stream.");
   if (RowCounter[MatrixNr] == 0) {
-    ELOG(0, "RowCounter[" << MatrixNr << "]: " << RowCounter[MatrixNr] << " from input stream.");
+    ELOG(0, "INFO: RowCounter[" << MatrixNr << "]: " << RowCounter[MatrixNr] << " from input stream.");
     performCriticalExit();
   }
@@ -176,5 +176,5 @@
     input.getline(dummy, 1023);    // skip header
   line.str(dummy);
-  LOG(0, "Header: " << line.str());
+  LOG(3, "INFO: Header: " << line.str());
   for(int k=skipcolumns;k--;)  // skip columns in header too
     line >> filename;
@@ -191,5 +191,5 @@
       output << " " << std::setprecision(2) << Matrix[MatrixNr][j][k] << endl;
     }
-    LOG(1, output.str());
+    LOG(3, output.str());
   }
 
@@ -228,5 +228,5 @@
   input.open(file.str().c_str(), ios::in);
   if (input.bad()) {
-    LOG(0, endl << "MatrixContainer::ParseFragmentMatrix: Unable to open " << file.str() << ", is the directory correct?");
+    ELOG(1, "MatrixContainer::ParseFragmentMatrix: Unable to open " << file.str() << ", is the directory correct?");
     return false;
   }
@@ -237,7 +237,7 @@
   }
   input.close();
-  LOG(0, "Determined " << MatrixCounter << " fragments.");
-
-  LOG(0, "Parsing through each fragment and retrieving " << prefix << suffix << ".");
+  LOG(2, "INFO: Determined " << MatrixCounter << " fragments.");
+
+  LOG(1, "STATUS: Parsing through each fragment and retrieving " << prefix << suffix << ".");
   Header.clear();
   Matrix.clear();
@@ -254,5 +254,5 @@
     file << name << FRAGMENTPREFIX << FragmentNumber << prefix << suffix;
     std::ifstream input(file.str().c_str());
-    LOG(1, "INFO: Opening " << file.str() << " ... ");
+    LOG(2, "INFO: Opening " << file.str() << " ... ");
     if (!ParseMatrix(input, skiplines, skipcolumns, i)) {
       input.close();
@@ -430,5 +430,5 @@
   char *FragmentNumber = NULL;
 
-  LOG(0, "Writing fragment files.");
+  LOG(1, "STATUS: Writing fragment files.");
   for(int i=0;i<MatrixCounter;i++) {
     stringstream line;
@@ -464,5 +464,5 @@
   stringstream line;
 
-  LOG(0, "Writing matrix values of " << suffix << ".");
+  LOG(1, "STATUS: Writing matrix values of " << suffix << ".");
   line << name << prefix << suffix;
   output.open(line.str().c_str(), ios::out);
@@ -513,5 +513,5 @@
 {
   for (int i=0;i<=m.MatrixCounter;++i) {
-    ost << "Printing matrix " << i << ":" << std::endl;
+    ost << "Matrix " << i << " in MatrixContainer:" << std::endl;
     for (int j=0;j<=m.RowCounter[i];++j) {
       for (int k=0;k<m.ColumnCounter[i];++k) {
